summaryrefslogtreecommitdiff
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2015-10-13 22:19:27 -0700
committerGuy Harris <guy@alum.mit.edu>2015-10-14 05:19:55 +0000
commit83abbfe2c27fd70d871417c66ca149313cb2e6f9 (patch)
treededa7b976d28e30bf46627907c6b057947ef37d5 /macosx-setup.sh
parenta542eec6d84f159cce1986ca3ab1d353461914ed (diff)
downloadwireshark-83abbfe2c27fd70d871417c66ca149313cb2e6f9.tar.gz
Build Lua with all the appropriate flags.
It doesn't use a configure script, so we have to pass in -arch flags, minimum version flags, "where's the SDK" flags, etc. by setting MYCFLAGS and MYLDFLAGS for the make, rather than for the configure script. Change-Id: I8c95851051cd2a9ddd7a9caf6faccd2e9fd2b4a7 Reviewed-on: https://code.wireshark.org/review/10995 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index ca4c7af5fe..8a1b311df1 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -1252,7 +1252,7 @@ install_lua() {
[ -f lua-$LUA_VERSION.tar.gz ] || curl -L -O http://www.lua.org/ftp/lua-$LUA_VERSION.tar.gz || exit 1
gzcat lua-$LUA_VERSION.tar.gz | tar xf - || exit 1
cd lua-$LUA_VERSION
- make $MAKE_BUILD_OPTS macosx || exit 1
+ make MYCFLAGS="$CFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" MYLDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" $MAKE_BUILD_OPTS macosx || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..
touch lua-$LUA_VERSION-done